- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgparticle.cpp File Reference

`#include <osgProducer/Viewer>`
`#include <osg/Group>`
`#include <osg/Geode>`
`#include <osgParticle/Particle>`
`#include <osgParticle/ParticleSystem>`
`#include <osgParticle/ParticleSystemUpdater>`
`#include <osgParticle/ModularEmitter>`
`#include <osgParticle/ModularProgram>`
`#include <osgParticle/RandomRateCounter>`
`#include <osgParticle/SectorPlacer>`
`#include <osgParticle/RadialShooter>`
`#include <osgParticle/AccelOperator>`
`#include <osgParticle/FluidFrictionOperator>`

Include dependency graph for osgparticle.cpp:

## Functions
osgParticle::ParticleSystem * | create_simple_particle_system (osg::Group *root)
osgParticle::ParticleSystem * | create_complex_particle_system (osg::Group *root)
void | build_world (osg::Group *root)
int | main (int argc, char **argv)

## Function Documentation

void build_world | ( | osg::Group * | root | ) |

osgParticle::ParticleSystem* create_complex_particle_system | ( | osg::Group * | root | ) |

osgParticle::ParticleSystem* create_simple_particle_system | ( | osg::Group * | root | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |